import pytest
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest
from all_backend_api.janus_request import janus_request

class TestBeautyPost:
    data = BaseRequest().api_load(path_setting.BEAUTY_POST)
    beauty_post_case, beauty_post_data = get_ids(data, "beauty_post")
    @pytest.mark.parametrize("param",beauty_post_data,ids=beauty_post_case)
    def test_beauty_post(self,param):
        r = janus_request().beauty_post(param["channel_id"],param["is_open"],param["smooth"],param["white"],param["rosy"])
        if r["error"] == 0:
            assert r["error"] == param["assert"]
